net.sf.jasperreports.components.headertoolbar.json

## Class HeaderToolbarElementJsonHandler.GroupInfo

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.json.HeaderToolbarElementJsonHandler.GroupInfo

- Enclosing class:
    HeaderToolbarElementJsonHandler

      public static class HeaderToolbarElementJsonHandler.GroupInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_GROUP_HEADING`
    `static java.lang.String` | `TYPE_GROUP_SUBTOTAL`
    `static java.lang.String` | `TYPE_TABLE_TOTAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderToolbarElementJsonHandler.GroupInfo(java.lang.String name, java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addForColumn(java.lang.Integer index)`
    `java.util.List<java.lang.Integer>` | `getForColumns()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_GROUP_HEADING

          public static final java.lang.String TYPE_GROUP_HEADING

      See Also:
        Constant Field Values

    - #### TYPE_GROUP_SUBTOTAL

          public static final java.lang.String TYPE_GROUP_SUBTOTAL

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_TOTAL

          public static final java.lang.String TYPE_TABLE_TOTAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HeaderToolbarElementJsonHandler.GroupInfo

          public HeaderToolbarElementJsonHandler.GroupInfo(java.lang.String name,
                                                   java.lang.String type)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getType

          public java.lang.String getType()

    - #### addForColumn

          public void addForColumn(java.lang.Integer index)

    - #### getForColumns

          public java.util.List<java.lang.Integer> getForColumns()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com